Subject: Re: linux-next: build warnings after merge of the kspp-gustavo tree

From: "Aithal, Srikanth" <[email-masked]>
Date: Fri, 1 Dec 2023 14:10:57 +0530

On 12/1/2023 3:24 AM, Gustavo A. R. Silva wrote:
> Hi Stephen,
> 
> On 11/28/23 15:11, Gustavo A. R. Silva wrote:
>> Hi Stephen,
>>
>> On 11/27/23 16:13, Stephen Rothwell wrote:
>>> Hi Gustavo,
>>>
>>> On Wed, 22 Nov 2023 10:21:27 +0530 "Aithal, Srikanth" 
>>> <[email-masked]> wrote:
>>>>
>>>> @Gustavo I see you have mentioned it as gcc issue. I was not hitting 
>>>> this until yesterdays linux-next build. I am on latest gcc which 
>>>> RHEL 9.x provides,
>>>> gcc --version
>>>> gcc (GCC) 11.4.1 20230605 (Red Hat 11.4.1-2)
>>>
>>> Given that gcc 11 is a provided compiler on RHEL 9, can you not add
>>> -Wstringop-overflow for that compiler, please.
> 
> Done:
> 
> https://git.kernel.org/pub/scm/linux/kernel/git/gustavoars/linux.git/commit/?h=for-next/kspp&id=617ab3c357d2ebdfff0e1a090c46f2f3f29b45e2
> 
> Thanks!
> -- 
> Gustavo
> 
Thank you, next-20231201 builds well on gcc 11.4.1
Tested-by: [email-masked]
>>
>>
>> Sure thing. Working on that. :)
>>
>> -- 
>> Gustavo
>>